Subject: Re: bug#34605: ungoogled-chromium: proprietary codecs enabled?

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 13 Nov 2021 20:29:48 -0500

Hello,

Ricardo Wurmus <[email-masked]> writes:

> Giovanni Biscuolo <[email-masked]> writes:
>
>> Hello,
>>
>> I'm forwarding this, extracted from this message
>> http://lists.nongnu.org/archive/html/gnu-linux-libre/2019-02/msg00083.html
>>
>> Luke <[email-masked]> writes:
>>
>> [...]
>>
>>> Some GN prefs missing from chromium.scm:
>>> ---
>>> ;; Disable non-free codecs
>>> "proprietary_codecs=false"
>>
>> while ungoogled-chromiun package definition now contains
>>
>> --8<---------------cut here---------------start------------->8---
>>  ;; Don't arbitrarily restrict formats supported by system ffmpeg.
>>  "proprietary_codecs=true"
>>  "ffmpeg_branding=\"Chrome\""
>> --8<---------------cut here---------------end--------------->8---
>>
>> does this conflicts with GNU FSDG?
>
> As far as I understand, this lets Chromium use whatever codecs are
> provided by the system ffmpeg.  Restrictions in codecs are up to the
> ffmpeg package, not Chromium.

I confirm this is how it works; and that it isn't an FSDG problem.  The
source now mentions ";; Do not artifically restrict formats supported by
system ffmpeg.".

Closing.

Thanks for the report!

Maxim